Click here to Skip to main content
15,907,906 members
Please Sign up or sign in to vote.
0.00/5 (No votes)
See more:
Dear All,
I am using Ajax 4.0 and VS 2010 but I could not find UpdatePanel in it. Where is the UpdatePanel in 2010 and how can I use it? Any ideas are welcome!
Posted
Updated 19-Dec-10 20:33pm
v2
Comments
JF2015 20-Dec-10 2:33am    
Edited to fix spelling errors.

1 solution

Just look for it in 'AJAX Extensions' Tab in the toolbox.

Apart from that, you can even type that directly in your ASPX. Try pasting,
XML
<asp:UpdatePanel ID="upExplorer" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
    </ContentTemplate>
</asp:UpdatePanel>
 
Share this answer
 
Comments
Abdul Rahman Hamidy 20-Dec-10 3:25am    
thanks for the answer, by using your code I am getting following error.
//Error
Webpage error details

User Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.0; WOW64; Trident/4.0; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.5.30729; .NET CLR 4.0.20506; InfoPath.2; OfficeLiveConnector.1.3; OfficeLivePatch.0.0; .NET CLR 3.0.30729)
Timestamp: Mon, 20 Dec 2010 08:23:18 UTC


Message: Sys.ArgumentNullException: Value cannot be null.
Parameter name: panelsCreated[1]
Line: 157
Char: 12
Code: 0
URI: http://localhost/SDU/ScriptResource.axd?d=gQgpR5F8qu4oPmkOpa5XkrxL93OFrscRfouwGkMdV20T7RjaxoTo68z7D3O5mNPL2CVokMHFmkhpm3Nbw3D0GA2&t=11e6618b

//Error
and bellow is my code in page
<asp:ToolkitScriptManager ID="ToolkitScriptManager2" runat="server" EnablePartialRendering="true">
</asp:ToolkitScriptManager>
<div runat="server" id="dvContent">
<asp:UpdatePanel ID="upExplorer" runat="server" UpdateMode="Conditional">
<contenttemplate>

</asp:UpdatePanel>
</div>
Sandeep Mewara 20-Dec-10 3:28am    
1. You missed content template in Update panel
"ContentTemplate" - see my example.

2. Make sure your website is AJAX enabled (Config related to AJAX extensions present in your Web.config)
Abdul Rahman Hamidy 20-Dec-10 4:52am    
I have other pages which is working correctly, they also have ajax accordian, ComboBox and other controls.

in this page I dont know what is going wrong, I am getting this error only when i add UpdatePanel, if i add other ajax 4.0 controls then no error appears.

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)



CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900